### Method

# Clapper Timeline insert_marker

#### Declaration [src]

    gboolean
    clapper_timeline_insert_marker (
      ClapperTimeline* timeline,
      ClapperMarker* marker
    )

#### Description [src]

Insert the `ClapperMarker` into `timeline`.

#### Parameters

`marker`

  Type: `ClapperMarker`

  A `ClapperMarker`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if inserted, `FALSE` if marker was already inserted into timeline.